Alembic Version 1.1

Classes | Namespaces | Functions
TokenMap.h File Reference

The header file containing the class definition for the Alembic::Util::TokenMap class. More...

`#include <Alembic/Util/Export.h>`
`#include <Alembic/Util/Exception.h>`
`#include <Alembic/Util/Foundation.h>`
Include dependency graph for TokenMap.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | Alembic::Util::ALEMBIC_VERSION_NS::TokenMap
| A wrapper around std::map that serializes and deserializes the map into a doubly-tokenized string, usually of the form token=value;token=value;token=value;. More...

## Namespaces
namespace | Alembic
| Alembic namespace ...
namespace | Alembic::Util
namespace | Alembic::Util::ALEMBIC_VERSION_NS

## Functions
bool | Alembic::Util::ALEMBIC_VERSION_NS::operator== (const TokenMap &iA, const TokenMap &iB)

## Detailed Description

The header file containing the class definition for the Alembic::Util::TokenMap class.

Definition in file TokenMap.h.